package cn.com.poc.ai_data_audit.convert;	

import cn.com.poc.ai_data_audit.model.BizAiDataAuditTaskModel;
import cn.com.poc.ai_data_audit.entity.BizAiDataAuditTaskEntity;
import cn.com.poc.ai_data_audit.dto.BizAiDataAuditTaskDto;


public class BizAiDataAuditTaskConvert {

    public static BizAiDataAuditTaskEntity modelToEntity(BizAiDataAuditTaskModel model){
        BizAiDataAuditTaskEntity entity = new BizAiDataAuditTaskEntity();
        entity.setDataAuditTaskId(model.getDataAuditTaskId());
        entity.setDataAuditTaskName(model.getDataAuditTaskName());
        entity.setMemberId(model.getMemberId());
        entity.setStatus(model.getStatus());
        entity.setFileNum(model.getFileNum());
        entity.setAuditResult(model.getAuditResult());
        entity.setIsDeleted(model.getIsDeleted());
        entity.setCreator(model.getCreator());
        entity.setCreatedTime(model.getCreatedTime());
        entity.setModifier(model.getModifier());
        entity.setModifiedTime(model.getModifiedTime());
        entity.setSysVersion(model.getSysVersion());
        return entity;
    }

    public static BizAiDataAuditTaskModel entityToModel(BizAiDataAuditTaskEntity entity){
        BizAiDataAuditTaskModel model = new BizAiDataAuditTaskModel();
        model.setDataAuditTaskId(entity.getDataAuditTaskId());
        model.setDataAuditTaskName(entity.getDataAuditTaskName());
        model.setMemberId(entity.getMemberId());
        model.setStatus(entity.getStatus());
        model.setFileNum(entity.getFileNum());
        model.setAuditResult(entity.getAuditResult());
        model.setIsDeleted(entity.getIsDeleted());
        model.setCreator(entity.getCreator());
        model.setCreatedTime(entity.getCreatedTime());
        model.setModifier(entity.getModifier());
        model.setModifiedTime(entity.getModifiedTime());
        model.setSysVersion(entity.getSysVersion());
        return model;
    }
    
    public static BizAiDataAuditTaskDto entityToDto(BizAiDataAuditTaskEntity entity){
        BizAiDataAuditTaskDto dto = new BizAiDataAuditTaskDto();
        dto.setDataAuditTaskId(entity.getDataAuditTaskId());
        dto.setDataAuditTaskName(entity.getDataAuditTaskName());
        dto.setMemberId(entity.getMemberId());
        dto.setStatus(entity.getStatus());
        dto.setFileNum(entity.getFileNum());
        dto.setAuditResult(entity.getAuditResult());
        dto.setIsDeleted(entity.getIsDeleted());
        dto.setCreator(entity.getCreator());
        dto.setCreatedTime(entity.getCreatedTime());
        dto.setModifier(entity.getModifier());
        dto.setModifiedTime(entity.getModifiedTime());
        dto.setSysVersion(entity.getSysVersion());
        return dto;
    }

    public static BizAiDataAuditTaskEntity dtoToEntity(BizAiDataAuditTaskDto dto){
        BizAiDataAuditTaskEntity entity = new BizAiDataAuditTaskEntity();
        entity.setDataAuditTaskId(dto.getDataAuditTaskId());
        entity.setDataAuditTaskName(dto.getDataAuditTaskName());
        entity.setMemberId(dto.getMemberId());
        entity.setStatus(dto.getStatus());
        entity.setFileNum(dto.getFileNum());
        entity.setAuditResult(dto.getAuditResult());
        entity.setIsDeleted(dto.getIsDeleted());
        entity.setCreator(dto.getCreator());
        entity.setCreatedTime(dto.getCreatedTime());
        entity.setModifier(dto.getModifier());
        entity.setModifiedTime(dto.getModifiedTime());
        entity.setSysVersion(dto.getSysVersion());
        return entity;
    }
}